Bug 60741 - m4 spec file doesn't use %{_infodir}
Summary: m4 spec file doesn't use %{_infodir}
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: m4 (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-05 20:19 UTC by Need Real Name
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-05 20:24:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to specfile to fix bug (762 bytes, patch)
2002-03-05 20:24 UTC, Need Real Name
no flags Details | Diff

Description Need Real Name 2002-03-05 20:19:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:0.9.4) Gecko/20010913

Description of problem:
The m4 spec file uses the hardcoded directory "/usr/share/info" to install it's
info files.  The macro %{_infodir}, usually used for this is ignored.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Change %{_infodir} to /usr/info
2.  Rebuild m4 from source
	

Actual Results:  RPM build fails.  The build step is observing %{_infodir},
leaving the info files in $RPM_BUILD_ROOT/usr/info.  The install step (where the
infodir is hardcoded) expects them in $RPM_BUILD_ROOT/usr/share/info.


Expected Results:  Info files should be found in %{_infodir} in the install step.


Additional info:

Comment 1 Need Real Name 2002-03-05 20:24:47 UTC
Created attachment 47465 [details]
Patch to specfile to fix bug

Comment 2 Florian La Roche 2002-03-07 15:51:40 UTC
Fixed in release 7.

Thanks,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.